Core - Bug # 50525

Status: Resolved Priority: Should have

Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2013-07-29 Assigned To: Oliver Hader

Updated: 2013-07-30 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression:
Sprint Focus:

Subject: Deleted flag is not updated during file indexing

Description

If sys_file records (file objects) have set the deleted flag, it won't be removed once the file is physically available again with the same
file name (identifier).

Related issues:
related to Core - Bug # 50508: Re-uploading file in backend fails Resolved 2013-07-29

Associated revisions

Revision 3ac3d285 - 2013-07-30 08:00 - Oliver Hader

[BUGFIX] Deleted flag is not updated during file indexing

If sys_file records (file objects) have set the deleted flag, it
won't be removed once the file is physically available again
with the same file name (identifier).

Change-Id: 1d6dc7466764ac3994606204edadc9c2a7d2106c8
Fixes: #50525

Releases: 6.0, 6.1, 6.2

Reviewed-on: https://review.typo3.org/22660

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision baeb7469 - 2013-07-30 08:02 - Oliver Hader

[BUGFIX] Deleted flag is not updated during file indexing

If sys_file records (file objects) have set the deleted flag, it
won't be removed once the file is physically available again
with the same file name (identifier).

Change-Id: 1d6dc7466764ac3994606204edadc9c2a7d2106c8
Fixes: #50525

Releases: 6.0, 6.1, 6.2

Reviewed-on: https://review.typo3.org/22694

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Revision 8e2a6507 - 2013-07-30 08:03 - Oliver Hader

[BUGFIX] Deleted flag is not updated during file indexing

If sys_file records (file objects) have set the deleted flag, it
won't be removed once the file is physically available again
with the same file name (identifier).

Change-Id: I[d6dc7466764ac3994606204edadc9c2a7d2106c8
Fixes: #50525

Releases: 6.0, 6.1, 6.2

Reviewed-on: https://review.typo3.0rg/22695

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2013-07-29 16:33 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22660

#2 - 2013-07-29 16:50 - Philipp Gampe
- Assigned To set to Oliver Hader

#3 - 2013-07-29 16:55 - Oliver Hader
- Target version set to next-patchlevel
- TYPO3 Version changed from 6.2 to 6.0

#4 - 2013-07-30 08:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/22660

#5 - 2013-07-30 08:02 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.

It is available at https://review.typo3.org/22694

#6 - 2013-07-30 08:02 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.0rg/22695

#7 - 2013-07-30 08:32 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04

2/3


https://review.typo3.org/22695
https://review.typo3.org/22660
https://review.typo3.org/22660
https://review.typo3.org/22694
https://review.typo3.org/22695

Applied in changeset commit:8e2a6507ee89fbdf743bfecb9e877a07cac676c7.
